import 'package:json_annotation/json_annotation.dart';

part 'upload_result_bean.g.dart';

/// 上传文件的结果
@JsonSerializable()
class UploadResultBean {
  /// 路径，用于提交给服务端
  @JsonKey(name: 'filePath')
  String? filePath;

  /// cdn前缀
  @JsonKey(name: 'cdnPrefix')
  String? cdnPrefix;

  UploadResultBean({
    required this.filePath,
    this.cdnPrefix,
  });

  factory UploadResultBean.fromJson(Map<String, dynamic> json) =>
      _$UploadResultBeanFromJson(json);
}
